Subject: git-svn and auto crlf convertion.

From: Alexander Litvinov <[email-masked]>
Date: Wed, 31 Oct 2007 10:49:43 +0600

Hello.

I have private svn repo with cpp source file in windows encoding (\r\n line 
ending). I am tring to import it into git using git-svn. To make correct crlf 
convertion I have made git svn init first then create 
correct .git/info/attributes file and import repo using git svn fetch 
command. But after import done I have strange situation: after git 
checkout -f master git status show that almost all text files are modified.

As I understand situation git-svn put \r\n encoded files into repo without 
convertng them to \n notation. git-checkout,git-status does the job right and 
found 'modification' as far as they do the needed convertion.

Is there any way to configure git-svn to make proper convertion or it is 
broken and need to be fixed ?